data {
    int N;
    real St[N];
    real ME[N];
}
transformed data {
    real logME[N];
    for (i in 1:N)
        logME[i] = log(ME[i]);
}
parameters {
    real<lower = 0.0> a;
    real<lower = 0.0> b;
    real<lower = 0.0> sgm;
}
model {
    sgm ~ exponential(0.001);
    a ~ exponential(0.001);
    b ~ exponential(0.001);
    for (i in 1:N) {
        logME[i] ~ normal(log(a) + b * log(St[i]), sgm);
    }
}
