data {
    int N;
    real St[N];
    real ME[N];
    real min_c;
}
transformed data {
    real logME[N];
    for (i in 1:N)
        logME[i] = log(ME[i]);
}
parameters {
    real<lower = 0.0> a;
    real<lower = 0.0> b;
    real<lower = 0.0> pc;
    real<lower = 0.0> sgm;
}
transformed parameters {
    real c;
    c = min_c - pc;
}
model {
    pc ~ exponential(0.001);
    sgm ~ exponential(0.001);
    a ~ exponential(0.001);
    b ~ exponential(0.001);
    for (i in 1:N) {
        logME[i] ~ normal(log(a) + b * log(St[i] - c), sgm);
    }
}
